import { r as registerInstance, h } from './index-dd1fc9a4.js';
import './common-ecdc423b.js';
import { B as Button } from './Button-9c59ca2e.js';
var UIButton = /** @class */ (function () {
    function UIButton(hostRef) {
        registerInstance(this, hostRef);
    }
    UIButton.prototype.render = function () {
        return (h(Button, null, h("slot", null)));
    };
    return UIButton;
}());
UIButton.style = "button.scss";
export { UIButton as ui_button };
